# HoujinBangou

[![GitHub](https://img.shields.io/badge/github-kissy2go/houjin--bangou-blue.svg)](https://github.com/kissy2go/houjin-bangou)

[![Gem Version](https://badge.fury.io/rb/houjin-bangou.svg)](https://badge.fury.io/rb/houjin-bangou)
[![wercker status](https://app.wercker.com/status/60de5f243a0940720d44ff8958410aa8/s/master "wercker status")](https://app.wercker.com/project/byKey/60de5f243a0940720d44ff8958410aa8)
[![License](https://img.shields.io/badge/license-MIT-yellowgreen.svg)](#license)

The www.houjin-bangou.nta.go.jp WebAPI bindings provides a simple SDK
for convenient access to the WebAPI from application written in the Ruby language.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'houjin-bangou'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install houjin-bangou

## Usage

```ruby
HoujinBangou.application_id = YOUR_APPLICATION_ID

# Search by number
number = ... # String or Array
result = HoujinBangou::Num.search(number)
result.each do |record|
  record #=> HoujinBangou::ResultSet::Record
  record.corporate_number
  record.name
end

# Search by date span
from = ... # Date, Time or String
to = ...   # Date, Time or String
result = HoujinBangou::Diff.search(from, to)
result.each do |record|
  record #=> HoujinBangou::ResultSet::Record
  record.corporate_number
  record.name
end
```

## Development

After checking out the repo, install dependencies via bundler.
Then, run `rake spec` to run the tests.
You can also run `bin/console` for an interactive prompt that will allow you to experiment.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/kissy2go/houjin-bangou.
This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
